n=1000;
errel=zeros(n,1);
for i=1:n
    A=rand(100);
    x0=rand(100,1); 
    b=A*x0;
    
    x=A\b;
    
    res(i)=norm(A*x-b);
    errel(i)=norm(x-x0)/norm(x0);
    condicion(i)=cond(A); 
    norm_b(i)=norm(b);
    
    x=Gauss(A,b);
        
    res_2(i)=norm(A*x-b);
    errel_2(i)=norm(x-x0)/norm(x0);
    condicion_2(i)=cond(A); 
    norm_b_2(i)=norm(b);
        
end
loglog(errel,condicion.*res./norm_b,'o',[eps 1e12*eps],[eps 1e12*eps]); hold on;
loglog(errel_2,condicion_2.*res_2./norm_b_2,'or')
ylabel('cond(A).*norm(Ax-b)./norm(b)'); xlabel('err rel, evaluando x-x0')
title('Cota del error relativo con la condicion de la matriz y los residuos');

figure;
loglog(errel,condicion.*eps,'o',[eps 1e12*eps],[eps 1e12*eps]); hold on;
loglog(errel_2,condicion_2.*eps,'or')
ylabel('cond(A).*eps'); xlabel('err rel, evaluando x-x0')
title('Cota del error relativo con la condicion de la matriz y eps');

figure;
loglog(res_2./norm_b_2,res./norm_b,'o',[eps 1e5*eps],[eps 1e5*eps])